For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Adaptive Feedback API
    • About the Adaptive Feedback API
      • GETGet alert status by request ID
      • POSTSend an alert
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Adaptive Feedback APIAlerts

Send an alert

POST
https://api.humansecurity.com/v1/platform/external/alerts
POST
/v1/platform/external/alerts
$curl -X POST https://api.humansecurity.com/v1/platform/external/alerts \
> -H "X-HMN-APP-ID: PX123456" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string",
> "time_start_window": "string",
> "time_end_window": "string"
>}'
1{
2 "message": "success",
3 "requestId": "string"
4}
Send an alert by its account name. <Note> Information you send in these reports will be used in our **secondary detection mechanism** to improve HUMAN's detection capabilities. </Note>
Was this page helpful?
Previous

Get custom rules

Next
Built with

Send an alert by its account name.

Information you send in these reports will be used in our secondary detection mechanism to improve HUMAN’s detection capabilities.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-HMN-APP-IDstringRequired
The HUMAN Application ID. The application must be in the same account as the server token used to authenticate.

Request

This endpoint expects an object.
namestringRequired
Name for the rule
time_start_windowstringRequiredformat: "YYYY-MM-DDTHH:MM:SSZ"
Start time of the anomaly window
time_end_windowstringRequiredformat: "YYYY-MM-DDTHH:MM:SSZ"

End time of the anomaly window. Report time periods must be between 5-60 minutes.

environmentenumOptional
Environment of the anomaly. If environment is below production, then Secondary Detection will throw an error. However, you can still test your API connection.
Allowed values:
standardobjectOptional
Standard fields
customobjectOptional

Configured custom fields. Please contact us about available fields.

Response

Success
messagestring
requestIdstring
The ID of the request.

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error